# $Revision: 1.47 $, $Date: 2008-03-03 21:11:09 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	Diff
Summary:	Algorithm::Diff - compute `intelligent' differences between two files / lists
Summary(pl.UTF-8):	Algorithm::Diff - ,,inteligentne'' znajdowanie różnic pomiędzy dwoma plikami / listami
Name:		perl-Algorithm-Diff
Version:	1.1902
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ff3e17ae485f8adfb8857b183991fbce
URL:		http://search.cpan.org/dist/Algorithm-Diff/
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Algorithm::Diff finds differences between two files, two strings, or
any other two lists of things. It uses an intelligent algorithm
similar to (or identical to) the one used by the Unix `diff' program. 
It is guaranteed to find the *smallest possible* set of differences.

%description -l pl.UTF-8
Algorithm::Diff wyszukuje różnice pomiędzy dwoma plikami, łańcuchami
lub dwiema innymi listami. korzysta on z inteligentnego algorytmu
podobnego do (lub identycznego) używanego przez uniksowy program
,,diff''. Zagwarantowane jest znalezienie *najmniejszego możliwego*
zbioru różnic.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{perl_vendorlib}/Algorithm/*.pl
%{perl_vendorlib}/Algorithm/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Algorithm-Diff.spec,v $
Revision 1.47  2008-03-03 21:11:09  wolvverine
- rel.3

Revision 1.46  2007-12-18 07:43:37  arekm
- rel 2

Revision 1.45  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.43  2006/12/22 01:31:21  qboosh
- updated to 1.1902

Revision 1.42  2004/11/03 19:36:54  paladine
- formatting

Revision 1.41  2004/08/08 20:43:29  adamg
- release 6

Revision 1.40  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.39  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.38  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.37  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.36  2004/04/17 05:44:16  ankry
- better description

Revision 1.35  2004/03/09 19:52:14  adamg
- new style bconds

Revision 1.34  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/06/11 14:01:13  qboosh
- added missing man pages, release 4

Revision 1.31  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:25:36  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/09/16 08:10:24  ankry
- added tests on bcond
- new %%doc, cleaning
- remove %{perl_sitelib}/Algorithm dir (moved to perl)
- release 2

Revision 1.24  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 20:28:00  areq
- 1.15, STBR

Revision 1.22  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.20  2002/02/24 23:27:41  kloczek
- cosmetics.

Revision 1.19  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:04:41  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:11  mis
- buildarch noarch; release++

Revision 1.14  2001/04/17 12:05:00  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 23:49:49  baggins
- release 4
- removed empty perl_sitearch dir from %%files
- added missing files to %%files

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2000/12/27 15:43:08  kloczek
- rebuild on perl 5.6.

Revision 1.10  2000/11/20 00:53:04  kloczek
- release 2: added using new rpm automation.

Revision 1.9  2000/08/16 16:15:49  kloczek
- updated to 1.10.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/05/02 21:05:02  baggins
- fixed including macros

Revision 1.4  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.2  1999/10/02 21:25:09  pius
- fixes in %%files

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
